Drop valid_tag table
Closed, ResolvedPublic

Description

This table has not being read/written for months now (deprecated in favor of change_tag_def.ctd_user_defined), it has been dropped from the code as well.

  1. SQL to run: DROP TABLE valid_tag (https://gerrit.wikimedia.org/r/#/c/479266/)
  2. Where to run those changes: all.dblist
  3. When to run those changes: any time would work
  4. If the schema change is backwards compatible: No.
  5. If the schema change has been tested already on some of the test/beta wikis: Tested in beta cluster
  6. if the data should be made available on the labs replicas and/or dumps: No

Deletion progress

wikitech

  • labswiki
  • labtestwiki
Ladsgroup triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptTue, Dec 18, 9:06 PM

Change 480590 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/puppet@production] Drop valid_tag and tag_summary from labs replicas

https://gerrit.wikimedia.org/r/480590

Marostegui moved this task from Triage to Backlog on the DBA board.Wed, Dec 19, 6:36 AM

Mentioned in SAL (#wikimedia-operations) [2018-12-19T13:35:44Z] <marostegui> Rename table valid_tag on db1081 (s1) - T212254

Mentioned in SAL (#wikimedia-operations) [2018-12-19T13:36:47Z] <marostegui> Correction from the previous !log: Rename table valid_tag on db1089 (s1) - T212254

Marostegui added a comment.EditedWed, Dec 19, 1:37 PM

I have renamed this table on db1089 (s1)

root@db1089.eqiad.wmnet[enwiki]> set session sql_log_bin=0; rename table valid_tag to T212254_valid_tag;
Query OK, 0 rows affected (0.00 sec)

I am going to leave it for a few days.
If this needs to be reverted just run:

set session sql_log_bin=0; rename table T212254_valid_tag to valid_tag;

Table structure:

CREATE TABLE `valid_tag` (
  `vt_tag` varbinary(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`vt_tag`)
) ENGINE=InnoDB DEFAULT CHARSET=binary
Marostegui moved this task from Backlog to In progress on the DBA board.
Marostegui updated the task description. (Show Details)Wed, Dec 19, 3:06 PM

Change 480590 merged by Bstorm:
[operations/puppet@production] Drop valid_tag and tag_summary from labs replicas

https://gerrit.wikimedia.org/r/480590

No errors so far, so I think we can start dropping this table after holidays (after checking for errors, of course)

There has been no errors since this rename, so I am going to go ahead and start dropping this table.

Mentioned in SAL (#wikimedia-operations) [2019-01-02T06:25:38Z] <marostegui> Drop valid_tag from s6 - T212254

Marostegui updated the task description. (Show Details)Wed, Jan 2, 6:26 AM

Mentioned in SAL (#wikimedia-operations) [2019-01-02T06:49:21Z] <marostegui> Drop empty valid_tag table from s5 - T212254

Marostegui updated the task description. (Show Details)Wed, Jan 2, 6:51 AM

Mentioned in SAL (#wikimedia-operations) [2019-01-02T06:54:29Z] <marostegui> Drop empty valid_tag table from labswiki labtestwiki - T212254

Marostegui updated the task description. (Show Details)Wed, Jan 2, 6:54 AM
Marostegui updated the task description. (Show Details)Wed, Jan 2, 8:54 AM

Mentioned in SAL (#wikimedia-operations) [2019-01-02T09:07:27Z] <Zoranzoki21> Drop valid_tag from s8 by Marostegui - T212254

Mentioned in SAL (#wikimedia-operations) [2019-01-08T15:45:12Z] <marostegui> Drop valid_tag table from s2 - T212254

Marostegui updated the task description. (Show Details)Tue, Jan 8, 3:48 PM

Mentioned in SAL (#wikimedia-operations) [2019-01-08T16:04:15Z] <marostegui> Drop valid_tag table from s7 - T212254

Marostegui updated the task description. (Show Details)Tue, Jan 8, 4:06 PM

Mentioned in SAL (#wikimedia-operations) [2019-01-08T18:50:37Z] <marostegui> Drop valid_tag table from s4 - T212254

Marostegui updated the task description. (Show Details)Tue, Jan 8, 6:51 PM

Mentioned in SAL (#wikimedia-operations) [2019-01-08T19:06:54Z] <marostegui> Drop valid_tag table from s1 - T212254

Marostegui updated the task description. (Show Details)Tue, Jan 8, 7:07 PM
Marostegui updated the task description. (Show Details)Tue, Jan 8, 8:29 PM
Marostegui added a comment.EditedTue, Jan 8, 8:32 PM

s3 codfw will be done with replication once the backups are finished.
s3 will be done on a per host basis to avoid lags

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1124
  • db1123
  • db1095
  • db1078
  • db1077
  • db1075

Change 483004 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1123

https://gerrit.wikimedia.org/r/483004

Change 483004 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1123

https://gerrit.wikimedia.org/r/483004

Mentioned in SAL (#wikimedia-operations) [2019-01-08T21:38:51Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1123 T212254 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2019-01-08T21:38:54Z] <marostegui> Drop valid_tag table from db1123 (s3) - T212254

Mentioned in SAL (#wikimedia-operations) [2019-01-08T21:43:28Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1123 T212254 (duration: 00m 53s)

Change 483006 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/483006

Change 483006 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/483006

Mentioned in SAL (#wikimedia-operations) [2019-01-08T21:49:08Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1078 T212254 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2019-01-08T21:49:11Z] <marostegui> Drop valid_tag table from db1078 (s3) - T212254

Mentioned in SAL (#wikimedia-operations) [2019-01-08T21:53:51Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1078 T212254 (duration: 00m 52s)

Mentioned in SAL (#wikimedia-operations) [2019-01-08T22:08:25Z] <marostegui> Drop valid_tag table from db2043 with replication (s3 codfw master - lag will be generated) - T212254

s3 codfw is done - with replication.

Marostegui updated the task description. (Show Details)Tue, Jan 8, 10:14 PM
Marostegui updated the task description. (Show Details)

Change 483132 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/483132

Change 483132 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/483132

Mentioned in SAL (#wikimedia-operations) [2019-01-09T14:27:37Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1077 T212254 (duration: 00m 52s)

Mentioned in SAL (#wikimedia-operations) [2019-01-09T14:28:54Z] <marostegui> valid_tag table on db1077 with replication (lag will be generated on labs s3) - T212254

Mentioned in SAL (#wikimedia-operations) [2019-01-09T14:36:33Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1077 T212254 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2019-01-09T15:50:02Z] <marostegui> Drop valid_tag tables from db1095 (s3) - T212254

Mentioned in SAL (#wikimedia-operations) [2019-01-09T18:04:38Z] <marostegui> Drop valid_tag from s3 master (db1075) - T212254

Marostegui closed this task as Resolved.Wed, Jan 9, 6:08 PM

This is all done!
Almost 2000 files less in the backups! (schema and data files)

Marostegui updated the task description. (Show Details)Wed, Jan 9, 6:09 PM